import z from "zod";

export const AuthRequestSchema = z.object({
  door: z.string(),
  key: z.string().min(1, "PIN cannot be empty"),
  ip: z.string().optional(),
  timeout: z.coerce.number().gt(0, "Timeout cannot be 0").optional(),
});

export type AuthRequest = z.infer<typeof AuthRequestSchema>;